<ion-content>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-item>
            <ion-label>{{ 'Parking Status' | translate }}</ion-label>
        </ion-item>
    </ion-toolbar>
    <ion-refresher slot="fixed" (ionRefresh)="onRefresh($event)">
        <ion-refresher-content pullingIcon="arrow-down" refreshingSpinner="circles">
        </ion-refresher-content>
    </ion-refresher>

    <div *ngIf="!this.cache?.isLoading">

        <ion-list *ngFor="let parking of this.cache?.objects; index as i">
            <ion-card>
                <ion-item>
                    <ion-icon name="car" *ngIf="parking?.parkingType === 'Four Wheeler'"></ion-icon>
                    <ion-icon name="bicycle" *ngIf="parking?.parkingType === 'Two Wheeler'"></ion-icon>

                    <ion-label>{{parking?.name}}</ion-label>
                </ion-item>
                <div>
                    <ion-grid>
                        <ion-row *ngIf="parking.visitorLog != null">
                            <ion-label>
                                <ion-icon name="person"></ion-icon>
                                {{parking?.visitorLog?.visitor?.name}}
                            </ion-label>
                        </ion-row>
                        <ion-row *ngIf="parking.visitorLog != null">
                            <ion-label>
                                <ion-icon name="home"></ion-icon>
                                {{parking?.visitorLog?.visitingTo?.name}}
                            </ion-label>
                        </ion-row>
                        <ion-row>
                            <ion-chip color="success" *ngIf="!parking.booked">
                                <ion-icon name="checkmark"></ion-icon>
                                <ion-label>{{ 'Available' | translate }}</ion-label>
                            </ion-chip>
                            <ion-chip color="danger" *ngIf="parking.booked">
                                <ion-icon name="close"></ion-icon>
                                <ion-label>{{ 'Booked' | translate }}</ion-label>
                            </ion-chip>
                        </ion-row>
                    </ion-grid>
                </div>
            </ion-card>
        </ion-list>
        <ion-card *ngIf="!this.cache?.isLoading && this.cache?.objects.length==0">
            <ion-item>
                <ion-label>{{ 'No records found!!!' | translate }}</ion-label>
            </ion-item>
        </ion-card>
    </div>

    <ion-infinite-scroll *ngIf="!this.cache?.isLoading" threshold="100px" (ionInfinite)="loadNext($event)">
        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading ...">
        </ion-infinite-scroll-content>
    </ion-infinite-scroll>

    <ion-card *ngIf="this.cache?.isLoading && this.cache?.objects.length==0">
        <ion-card-header>
            <ion-card-title>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-title>
            <ion-card-subtitle>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <ion-item>
                <ion-label>
                    <ion-skeleton-text animated></ion-skeleton-text>
                </ion-label>
            </ion-item>
            <div>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
            </div>
        </ion-card-content>
    </ion-card>
</ion-content>